Summary:   Ascend RADIUSd with MySQL support
Name:      radiusd-sql
Version:   980618
Release:   2
URL:       http://www.ilogic.com.au/~dmiller/radiusd-sql.html
Source0:   http://www.ilogic.com.au/~dmiller/files/radius-980618-sql.tar.gz
Source1:   radiusd.init
Patch0:    radius-980618-sql.patch
Copyright: BSD
Group:     Networking/Daemons
Prereq:    /sbin/chkconfig
BuildRoot: /tmp/%{name}-%{version}-root
Packager:  Del <del@babel.com.au>

%description
This package provides a RADIUS authentication and accounting
server. This server includes Ascend's extensions for their range
of terminal servers and includes support for logging accounting
information into a MySQL database.

Original RPM by Damien Miller <dmiller@ilogic.com.au>

This release was compiled against MySQL version 3.22.25 with
the RPM from ftp://ftp.redhat.com/contrib/libc6/i386 on a
RedHat Linux 6.0 system.  It will require MySQL client version
3.22.25.  The earlier release will not log successfully to
this version of MySQL.

%prep
%setup -n radius-%{version}-sql

%patch -p1

%build
cd radius-1.16-ascend/ascendd
make

%install
mv radius-1.16-ascend/doc radius-1.16-ascend/spec

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/etc/raddb
mkdir -p $RPM_BUILD_ROOT/var/log/radacct
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m 0755 $RPM_SOURCE_DIR/radiusd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/radiusd

install -m 0755 radius-1.16-ascend/ascendd/radiusd $RPM_BUILD_ROOT/usr/sbin
install -m 0755 radius-1.16-ascend/ascendd/radipad $RPM_BUILD_ROOT/usr/sbin
install -m 0644 radius-1.16-ascend/man1/users-file-syntax.1 $RPM_BUILD_ROOT/usr/man/man5/radius-users.5
install -m 0644 radius-1.16-ascend/raddb/dictionary $RPM_BUILD_ROOT/etc/raddb
install -m 0644 radius-1.16-ascend/raddb/clients.example $RPM_BUILD_ROOT/etc/raddb
install -m 0644 radius-1.16-ascend/raddb/users.example $RPM_BUILD_ROOT/etc/raddb

%post
/sbin/chkconfig --add radiusd
if ! grep -q "^radius" /etc/services; then
	echo "radius          1645/udp        radiusd" >> /etc/services
	echo "radacct         1646/udp               " >> /etc/services
	echo "Added radius to /etc/services"
fi
echo "Don't forget to create the MySQL database. See radius_log.def for details."

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/radiusd ]; then
      /etc/rc.d/init.d/radiusd stop
   fi
   /sbin/chkconfig --del radiusd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc radius-1.16-ascend/README.dict 
%doc radius-1.16-ascend/ascendd/README.sql 
%doc radius-1.16-ascend/ascendd/WISHLIST.sql
%doc radius-1.16-ascend/ascendd/radius_log.def
%doc radius-1.16-ascend/spec
%attr(0755,root,root) /etc/rc.d/init.d/radiusd
%attr(0755,root,root) /usr/sbin/radiusd
%attr(0755,root,root) /usr/sbin/radipad
%attr(0644,root,root) /usr/man/man5/radius-users.5
%attr(0700,root,root) %dir /etc/raddb
%attr(0700,root,root) %dir /var/log/radacct
%attr(0644,root,root) %config /etc/raddb/dictionary
%attr(0644,root,root) %config /etc/raddb/clients.example
%attr(0644,root,root) %config /etc/raddb/users.example

%changelog
* Fri Aug 13 1999 Del <del@babel.com.au>
- Recompiled against the new MySQL RPMs with the shared library.

* Fri Apr 16 1999 Damien Miller <dmiller@ilogic.com.au>
- Created RPM
